Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.binxml
Interface DBBinXMLMetadataProvider

All Superinterfaces:
  BinXMLMetadataProvider

      public interface DBBinXMLMetadataProvider

extends BinXMLMetadataProvider

The interface implements the BinXMLMetadataProvider interface. This interface defines interfaces to implement Oracle Database 11g as the backend metadata provider for a BinXMLProcessor. It defines APIs to establish a connection with the Oracle DB.

Method Summary
`void` `associateDataConnection(java.sql.Connection dataconn)` Associates a data connection with DBBinXMLMetadataProvider.
`void` `setConnection(java.sql.Connection metadataconn)` Sets connection to be used by DBBinXMLMetaDataProvider
`void` `setConnectionPool(oracle.jdbc.pool.OracleDataSource connpool)` Sets connection pool to be used by DBBinXMLMetadataProvider
`void` `setConnStr(java.lang.String connstr, java.lang.String usr, java.lang.String passwd)` Used for setting up thin connection.
`void` `setDriver(java.sql.Driver driver)` Specify database driver to be used by DBBinXMLMetadataProvider
`void` `setURL(java.net.URL http, java.lang.String usrname, java.lang.String passwd)` Used for setting up OCI connection

Methods inherited from interface oracle.xml.binxml.BinXMLMetadataProvider
`getCompiledSchema, getCompiledSchema, getDTD, getDTD, getTokenSet, getTokenSet, getTokenSet, isSchemaAnnotationAvailable, saveCompiledSchema, saveDTD, saveSchema, saveTokenSet`

Method Detail

### setConnection

    void setConnection(java.sql.Connection metadataconn)
                       throws BinXMLException,
                              java.sql.SQLException

  Sets connection to be used by DBBinXMLMetaDataProvider
  Parameters:
    `metadataconn` - This connection is used to store and retrieve metadata by a DBBinXMLMetadataProvider. If the associateDataConnection method is not called, this connection will also be used to store and retrieve binary data from the database.
  Throws:
    `java.sql.SQLException` - Raised for any SQL related errors
    `BinXMLException` - Raised for any non-SQL related errors

### setConnectionPool

    void setConnectionPool(oracle.jdbc.pool.OracleDataSource connpool)
                           throws BinXMLException,
                                  java.sql.SQLException

  Sets connection pool to be used by DBBinXMLMetadataProvider
  Parameters:
    `connpool` - OracleDataSource for metadata retrieval
  Throws:
    `java.sql.SQLException` - Raised for any SQL related errors
    `BinXMLException` - Raised for any non-SQL related errors

### setDriver

    void setDriver(java.sql.Driver driver)
                   throws BinXMLException

  Specify database driver to be used by DBBinXMLMetadataProvider
  Parameters:
    `driver` - user specified driver
  Throws:
    `BinXMLException` - Raised for any errors encountered

### setURL

    void setURL(java.net.URL http,
                java.lang.String usrname,
                java.lang.String passwd)
                throws BinXMLException,
                       java.sql.SQLException

  Used for setting up OCI connection
  Parameters:
    `http` - URL for connection
  Throws:
    `java.sql.SQLException` - Raised for any SQL related errors
    `BinXMLException` - Raised for any non-SQL related errors

### setConnStr

    void setConnStr(java.lang.String connstr,
                    java.lang.String usr,
                    java.lang.String passwd)
                    throws BinXMLException,
                           java.sql.SQLException

  Used for setting up thin connection.
  Parameters:
    `connstr` - connection string
  Throws:
    `java.sql.SQLException` - Raised for any SQL related errors
    `BinXMLException` - Raised for any non-SQL related errors

### associateDataConnection

    void associateDataConnection(java.sql.Connection dataconn)
                                 throws BinXMLException

  Associates a data connection with DBBinXMLMetadataProvider. May be called more than once for associating multiple data connections. If this API is not called, then data is stored and retrieved using the Connection specified by setConnection().
  Parameters:
    `dataconn` - JDBC connection used for storage and retrieval of Binary XML data.
  Throws:
    `BinXMLException` - Raised for any errors encountered

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.